Bug 43450 - Faulty syntax of Grid.RowDefinition wasn't caught with XamlC & doesn't generate run-time error
Summary: Faulty syntax of Grid.RowDefinition wasn't caught with XamlC & doesn't genera...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.1
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-17 08:14 UTC by Frankie Foo
Modified: 2016-09-22 14:14 UTC (History)
3 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
XF project to demonstrate the bug (199.95 KB, application/octet-stream)
2016-08-18 01:29 UTC, Frankie Foo
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Frankie Foo 2016-08-17 08:14:27 UTC
<Grid>
    <Grid.RowDefinition>
        <RowDefinition Height="*"/>
        ...
    </Grid.RowDefinition>
</Grid>

<Grid.RowDefinition> is a faulty syntax.

Without XamlC turn on, the code above can be build but will encounter run-time error, with the error will state that RowDefiniton is not a property of grid.

With XamlC turn on, the code above can be build, and will not encounter run time error.
Instead the grid itself will generate the rows automatically (based on the children).
Comment 1 Samantha Houts [MSFT] 2016-08-17 18:24:22 UTC
Using the above code with XamlC enabled, I get:

Error	Position 7:5. No property, bindable property, or event found for 'RowDefinition'

If you could please attach a reproduction to the bug by starting with a clean Xamarin.Forms project and adding just the code necessary to demonstrate the issue, we would very much appreciate it.  

For your convenience, we have created some reproduction best practices viewable here: https://gist.github.com/jassmith/92405c300e54a01dcc6d  

Warm regards, 
Xamarin Forms Team
Comment 2 Frankie Foo 2016-08-18 01:29:11 UTC
Created attachment 17097 [details]
XF project to demonstrate the bug
Comment 3 Samantha Houts [MSFT] 2016-08-18 22:29:46 UTC
Thank you! We'll look into this further.
Comment 4 Samantha Houts [MSFT] 2016-09-12 18:31:16 UTC
Should be fixed in 2.3.3-pre1. Thank you!
Comment 5 Parmendra Kumar 2016-09-22 14:14:02 UTC
I have checked this issue with Forms version 2.3.3.152-pre2 and observed that this issue has been fixed.

Hence closing this issue.

Thanks.